View Issue Details

IDProjectCategoryView StatusLast Update
0005134GNUnetdocumentationpublic2018-06-07 00:24
Reporterng0Assigned Tong0 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0005134: gnunet-c-tutorial.texi improvements
DescriptionIn https://gnunet.org/bugs/view.php?id=5133 it was reported that somehow (in the build-system?):

  MAKEINFO gnunet-c-tutorial.info
gnunet-c-tutorial.texi:61: warning: unreferenced node `Installing GNUnet'
gnunet-c-tutorial.texi:61: warning: node `Background: GNUnet Architecture' is next for `Installing GNUnet' in sectioning but not in menu
gnunet-c-tutorial.texi:61: warning: node `Top' is up for `Installing GNUnet' in sectioning but not in menu
gnunet-c-tutorial.texi:48: node `Top' lacks menu item for `Installing GNUnet' despite being its Up target
gnunet-c-tutorial.texi:73: warning: unreferenced node `Obtaining a stable version'
gnunet-c-tutorial.texi:73: warning: node `Installing Build Tool Chain and Dependencies' is next for `Obtaining a stable version' in sectioning but not in menu
gnunet-c-tutorial.texi:73: warning: node `Installing GNUnet' is up for `Obtaining a stable version' in sectioning but not in menu
gnunet-c-tutorial.texi:61: node `Installing GNUnet' lacks menu item for `Obtaining a stable version' despite being its Up target
gnunet-c-tutorial.texi:99: warning: unreferenced node `Installing Build Tool Chain and Dependencies'
gnunet-c-tutorial.texi:99: warning: node `Obtaining the latest version from Git' is next for `Installing Build Tool Chain and Dependencies' in sectioning but not in menu
gnunet-c-tutorial.texi:99: warning: node `Obtaining a stable version' is prev for `Installing Build Tool Chain and Dependencies' in sectioning but not in menu
gnunet-c-tutorial.texi:99: warning: node `Installing GNUnet' is up for `Installing Build Tool Chain and Dependencies' in sectioning but not in menu
gnunet-c-tutorial.texi:61: node `Installing GNUnet' lacks menu item for `Installing Build Tool Chain and Dependencies' despite being its Up target
gnunet-c-tutorial.texi:112: warning: unreferenced node `Obtaining the latest version from Git'
gnunet-c-tutorial.texi:112: warning: node `Compiling and Installing GNUnet' is next for `Obtaining the latest version from Git' in sectioning but not in menu
gnunet-c-tutorial.texi:112: warning: node `Installing Build Tool Chain and Dependencies' is prev for `Obtaining the latest version from Git' in sectioning but not in menu
gnunet-c-tutorial.texi:112: warning: node `Installing GNUnet' is up for `Obtaining the latest version from Git' in sectioning but not in menu
gnunet-c-tutorial.texi:61: node `Installing GNUnet' lacks menu item for `Obtaining the latest version from Git' despite being its Up target
gnunet-c-tutorial.texi:128: warning: unreferenced node `Compiling and Installing GNUnet'
gnunet-c-tutorial.texi:128: warning: node `Common Issues - Check your GNUnet installation' is next for `Compiling and Installing GNUnet' in sectioning but not in menu
gnunet-c-tutorial.texi:128: warning: node `Obtaining the latest version from Git' is prev for `Compiling and Installing GNUnet' in sectioning but not in menu
gnunet-c-tutorial.texi:128: warning: node `Installing GNUnet' is up for `Compiling and Installing GNUnet' in sectioning but not in menu
gnunet-c-tutorial.texi:61: node `Installing GNUnet' lacks menu item for `Compiling and Installing GNUnet' despite being its Up target
gnunet-c-tutorial.texi:153: warning: unreferenced node `Installation'
gnunet-c-tutorial.texi:153: warning: node `Compiling and Installing GNUnet' is up for `Installation' in sectioning but not in menu
gnunet-c-tutorial.texi:128: node `Compiling and Installing GNUnet' lacks menu item for `Installation' despite being its Up target
gnunet-c-tutorial.texi:181: warning: unreferenced node `Common Issues - Check your GNUnet installation'
gnunet-c-tutorial.texi:181: warning: node `Compiling and Installing GNUnet' is prev for `Common Issues - Check your GNUnet installation' in sectioning but not in menu
gnunet-c-tutorial.texi:181: warning: node `Installing GNUnet' is up for `Common Issues - Check your GNUnet installation' in sectioning but not in menu
gnunet-c-tutorial.texi:61: node `Installing GNUnet' lacks menu item for `Common Issues - Check your GNUnet installation' despite being its Up target
gnunet-c-tutorial.texi:213: warning: unreferenced node `Background: GNUnet Architecture'
gnunet-c-tutorial.texi:213: warning: node `First Steps with GNUnet' is next for `Background: GNUnet Architecture' in sectioning but not in menu
gnunet-c-tutorial.texi:213: warning: node `Installing GNUnet' is prev for `Background: GNUnet Architecture' in sectioning but not in menu
gnunet-c-tutorial.texi:213: warning: node `Top' is up for `Background: GNUnet Architecture' in sectioning but not in menu
gnunet-c-tutorial.texi:48: node `Top' lacks menu item for `Background: GNUnet Architecture' despite being its Up target
gnunet-c-tutorial.texi:257: warning: unreferenced node `First Steps with GNUnet'
gnunet-c-tutorial.texi:257: warning: node `Developing Applications' is next for `First Steps with GNUnet' in sectioning but not in menu
gnunet-c-tutorial.texi:257: warning: node `Background: GNUnet Architecture' is prev for `First Steps with GNUnet' in sectioning but not in menu
gnunet-c-tutorial.texi:257: warning: node `Top' is up for `First Steps with GNUnet' in sectioning but not in menu
gnunet-c-tutorial.texi:48: node `Top' lacks menu item for `First Steps with GNUnet' despite being its Up target
gnunet-c-tutorial.texi:260: warning: unreferenced node `Configure your peer'
gnunet-c-tutorial.texi:260: warning: node `Start a peer' is next for `Configure your peer' in sectioning but not in menu
gnunet-c-tutorial.texi:260: warning: node `First Steps with GNUnet' is up for `Configure your peer' in sectioning but not in menu
gnunet-c-tutorial.texi:257: node `First Steps with GNUnet' lacks menu item for `Configure your peer' despite being its Up target
gnunet-c-tutorial.texi:291: warning: unreferenced node `Start a peer'
gnunet-c-tutorial.texi:291: warning: node `Monitor a peer' is next for `Start a peer' in sectioning but not in menu
gnunet-c-tutorial.texi:291: warning: node `Configure your peer' is prev for `Start a peer' in sectioning but not in menu
gnunet-c-tutorial.texi:291: warning: node `First Steps with GNUnet' is up for `Start a peer' in sectioning but not in menu
gnunet-c-tutorial.texi:257: node `First Steps with GNUnet' lacks menu item for `Start a peer' despite being its Up target
gnunet-c-tutorial.texi:316: warning: unreferenced node `Monitor a peer'
gnunet-c-tutorial.texi:316: warning: node `Starting Two Peers by Hand' is next for `Monitor a peer' in sectioning but not in menu
gnunet-c-tutorial.texi:316: warning: node `Start a peer' is prev for `Monitor a peer' in sectioning but not in menu
gnunet-c-tutorial.texi:316: warning: node `First Steps with GNUnet' is up for `Monitor a peer' in sectioning but not in menu
gnunet-c-tutorial.texi:257: node `First Steps with GNUnet' lacks menu item for `Monitor a peer' despite being its Up target
gnunet-c-tutorial.texi:340: warning: unreferenced node `Starting Two Peers by Hand'
gnunet-c-tutorial.texi:340: warning: node `Starting Peers Using the Testbed Service' is next for `Starting Two Peers by Hand' in sectioning but not in menu
gnunet-c-tutorial.texi:340: warning: node `Monitor a peer' is prev for `Starting Two Peers by Hand' in sectioning but not in menu
gnunet-c-tutorial.texi:340: warning: node `First Steps with GNUnet' is up for `Starting Two Peers by Hand' in sectioning but not in menu
gnunet-c-tutorial.texi:257: node `First Steps with GNUnet' lacks menu item for `Starting Two Peers by Hand' despite being its Up target
gnunet-c-tutorial.texi:348: warning: unreferenced node `Setup a second peer'
gnunet-c-tutorial.texi:348: warning: node `Start the second peer and connect the peers' is next for `Setup a second peer' in sectioning but not in menu
gnunet-c-tutorial.texi:348: warning: node `Starting Two Peers by Hand' is up for `Setup a second peer' in sectioning but not in menu
gnunet-c-tutorial.texi:340: node `Starting Two Peers by Hand' lacks menu item for `Setup a second peer' despite being its Up target
gnunet-c-tutorial.texi:388: warning: unreferenced node `Start the second peer and connect the peers'
gnunet-c-tutorial.texi:388: warning: node `How to connect manually' is next for `Start the second peer and connect the peers' in sectioning but not in menu
gnunet-c-tutorial.texi:388: warning: node `Setup a second peer' is prev for `Start the second peer and connect the peers' in sectioning but not in menu
gnunet-c-tutorial.texi:388: warning: node `Starting Two Peers by Hand' is up for `Start the second peer and connect the peers' in sectioning but not in menu
gnunet-c-tutorial.texi:340: node `Starting Two Peers by Hand' lacks menu item for `Start the second peer and connect the peers' despite being its Up target
gnunet-c-tutorial.texi:427: warning: unreferenced node `How to connect manually'
gnunet-c-tutorial.texi:427: warning: node `Start the second peer and connect the peers' is prev for `How to connect manually' in sectioning but not in menu
gnunet-c-tutorial.texi:427: warning: node `Starting Two Peers by Hand' is up for `How to connect manually' in sectioning but not in menu
gnunet-c-tutorial.texi:340: node `Starting Two Peers by Hand' lacks menu item for `How to connect manually' despite being its Up target
gnunet-c-tutorial.texi:445: warning: unreferenced node `Starting Peers Using the Testbed Service'
gnunet-c-tutorial.texi:445: warning: node `Starting Two Peers by Hand' is prev for `Starting Peers Using the Testbed Service' in sectioning but not in menu
gnunet-c-tutorial.texi:445: warning: node `First Steps with GNUnet' is up for `Starting Peers Using the Testbed Service' in sectioning but not in menu
gnunet-c-tutorial.texi:257: node `First Steps with GNUnet' lacks menu item for `Starting Peers Using the Testbed Service' despite being its Up target
gnunet-c-tutorial.texi:534: warning: unreferenced node `Developing Applications'
gnunet-c-tutorial.texi:534: warning: node `First Steps with GNUnet' is prev for `Developing Applications' in sectioning but not in menu
gnunet-c-tutorial.texi:534: warning: node `Top' is up for `Developing Applications' in sectioning but not in menu
gnunet-c-tutorial.texi:48: node `Top' lacks menu item for `Developing Applications' despite being its Up target
gnunet-c-tutorial.texi:537: warning: unreferenced node `gnunet-ext'
gnunet-c-tutorial.texi:537: warning: node `Adapting the Template' is next for `gnunet-ext' in sectioning but not in menu
gnunet-c-tutorial.texi:537: warning: node `Developing Applications' is up for `gnunet-ext' in sectioning but not in menu
gnunet-c-tutorial.texi:534: node `Developing Applications' lacks menu item for `gnunet-ext' despite being its Up target
gnunet-c-tutorial.texi:577: warning: unreferenced node `Adapting the Template'
gnunet-c-tutorial.texi:577: warning: node `Writing a Client Application' is next for `Adapting the Template' in sectioning but not in menu
gnunet-c-tutorial.texi:577: warning: node `gnunet-ext' is prev for `Adapting the Template' in sectioning but not in menu
gnunet-c-tutorial.texi:577: warning: node `Developing Applications' is up for `Adapting the Template' in sectioning but not in menu
gnunet-c-tutorial.texi:534: node `Developing Applications' lacks menu item for `Adapting the Template' despite being its Up target
gnunet-c-tutorial.texi:589: warning: unreferenced node `Writing a Client Application'
gnunet-c-tutorial.texi:589: warning: node `Writing a Service' is next for `Writing a Client Application' in sectioning but not in menu
gnunet-c-tutorial.texi:589: warning: node `Adapting the Template' is prev for `Writing a Client Application' in sectioning but not in menu
gnunet-c-tutorial.texi:589: warning: node `Developing Applications' is up for `Writing a Client Application' in sectioning but not in menu
gnunet-c-tutorial.texi:534: node `Developing Applications' lacks menu item for `Writing a Client Application' despite being its Up target
gnunet-c-tutorial.texi:602: warning: unreferenced node `Handling command-line options'
gnunet-c-tutorial.texi:602: warning: node `Writing a Client Library' is next for `Handling command-line options' in sectioning but not in menu
gnunet-c-tutorial.texi:602: warning: node `Writing a Client Application' is up for `Handling command-line options' in sectioning but not in menu
gnunet-c-tutorial.texi:589: node `Writing a Client Application' lacks menu item for `Handling command-line options' despite being its Up target
gnunet-c-tutorial.texi:632: warning: unreferenced node `Writing a Client Library'
gnunet-c-tutorial.texi:632: warning: node `Writing a user interface' is next for `Writing a Client Library' in sectioning but not in menu
gnunet-c-tutorial.texi:632: warning: node `Handling command-line options' is prev for `Writing a Client Library' in sectioning but not in menu
gnunet-c-tutorial.texi:632: warning: node `Writing a Client Application' is up for `Writing a Client Library' in sectioning but not in menu
gnunet-c-tutorial.texi:589: node `Writing a Client Application' lacks menu item for `Writing a Client Library' despite being its Up target
gnunet-c-tutorial.texi:654: warning: unreferenced node `Connecting to the Service'
gnunet-c-tutorial.texi:654: warning: node `Sending messages' is next for `Connecting to the Service' in sectioning but not in menu
gnunet-c-tutorial.texi:654: warning: node `Writing a Client Library' is up for `Connecting to the Service' in sectioning but not in menu
gnunet-c-tutorial.texi:632: node `Writing a Client Library' lacks menu item for `Connecting to the Service' despite being its Up target
gnunet-c-tutorial.texi:672: warning: unreferenced node `Sending messages'
gnunet-c-tutorial.texi:672: warning: node `Receiving Replies from the Service' is next for `Sending messages' in sectioning but not in menu
gnunet-c-tutorial.texi:672: warning: node `Connecting to the Service' is prev for `Sending messages' in sectioning but not in menu
gnunet-c-tutorial.texi:672: warning: node `Writing a Client Library' is up for `Sending messages' in sectioning but not in menu
gnunet-c-tutorial.texi:632: node `Writing a Client Library' lacks menu item for `Sending messages' despite being its Up target
gnunet-c-tutorial.texi:701: warning: unreferenced node `Receiving Replies from the Service'
gnunet-c-tutorial.texi:701: warning: node `Sending messages' is prev for `Receiving Replies from the Service' in sectioning but not in menu
gnunet-c-tutorial.texi:701: warning: node `Writing a Client Library' is up for `Receiving Replies from the Service' in sectioning but not in menu
gnunet-c-tutorial.texi:632: node `Writing a Client Library' lacks menu item for `Receiving Replies from the Service' despite being its Up target
gnunet-c-tutorial.texi:725: warning: unreferenced node `Writing a user interface'
gnunet-c-tutorial.texi:725: warning: node `Writing a Client Library' is prev for `Writing a user interface' in sectioning but not in menu
gnunet-c-tutorial.texi:725: warning: node `Writing a Client Application' is up for `Writing a user interface' in sectioning but not in menu
gnunet-c-tutorial.texi:589: node `Writing a Client Application' lacks menu item for `Writing a user interface' despite being its Up target
gnunet-c-tutorial.texi:737: warning: unreferenced node `Writing a Service'
gnunet-c-tutorial.texi:737: warning: node `Interacting directly with other Peers using the CORE Service' is next for `Writing a Service' in sectioning but not in menu
gnunet-c-tutorial.texi:737: warning: node `Writing a Client Application' is prev for `Writing a Service' in sectioning but not in menu
gnunet-c-tutorial.texi:737: warning: node `Developing Applications' is up for `Writing a Service' in sectioning but not in menu
gnunet-c-tutorial.texi:534: node `Developing Applications' lacks menu item for `Writing a Service' despite being its Up target
gnunet-c-tutorial.texi:743: warning: unreferenced node `Code Placement'
gnunet-c-tutorial.texi:743: warning: node `Starting a Service' is next for `Code Placement' in sectioning but not in menu
gnunet-c-tutorial.texi:743: warning: node `Writing a Service' is up for `Code Placement' in sectioning but not in menu
gnunet-c-tutorial.texi:737: node `Writing a Service' lacks menu item for `Code Placement' despite being its Up target
gnunet-c-tutorial.texi:753: warning: unreferenced node `Starting a Service'
gnunet-c-tutorial.texi:753: warning: node `Code Placement' is prev for `Starting a Service' in sectioning but not in menu
gnunet-c-tutorial.texi:753: warning: node `Writing a Service' is up for `Starting a Service' in sectioning but not in menu
gnunet-c-tutorial.texi:737: node `Writing a Service' lacks menu item for `Starting a Service' despite being its Up target
gnunet-c-tutorial.texi:793: warning: unreferenced node `Interacting directly with other Peers using the CORE Service'
gnunet-c-tutorial.texi:793: warning: node `Storing peer-specific data using the PEERSTORE service' is next for `Interacting directly with other Peers using the CORE Service' in sectioning but not in menu
gnunet-c-tutorial.texi:793: warning: node `Writing a Service' is prev for `Interacting directly with other Peers using the CORE Service' in sectioning but not in menu
gnunet-c-tutorial.texi:793: warning: node `Developing Applications' is up for `Interacting directly with other Peers using the CORE Service' in sectioning but not in menu
gnunet-c-tutorial.texi:534: node `Developing Applications' lacks menu item for `Interacting directly with other Peers using the CORE Service' despite being its Up target
gnunet-c-tutorial.texi:807: warning: unreferenced node `New P2P connections'
gnunet-c-tutorial.texi:807: warning: node `Receiving P2P Messages' is next for `New P2P connections' in sectioning but not in menu
gnunet-c-tutorial.texi:807: warning: node `Interacting directly with other Peers using the CORE Service' is up for `New P2P connections' in sectioning but not in menu
gnunet-c-tutorial.texi:793: node `Interacting directly with other Peers using the CORE Service' lacks menu item for `New P2P connections' despite being its Up target
gnunet-c-tutorial.texi:825: warning: unreferenced node `Receiving P2P Messages'
gnunet-c-tutorial.texi:825: warning: node `Sending P2P Messages' is next for `Receiving P2P Messages' in sectioning but not in menu
gnunet-c-tutorial.texi:825: warning: node `New P2P connections' is prev for `Receiving P2P Messages' in sectioning but not in menu
gnunet-c-tutorial.texi:825: warning: node `Interacting directly with other Peers using the CORE Service' is up for `Receiving P2P Messages' in sectioning but not in menu
gnunet-c-tutorial.texi:793: node `Interacting directly with other Peers using the CORE Service' lacks menu item for `Receiving P2P Messages' despite being its Up target
gnunet-c-tutorial.texi:842: warning: unreferenced node `Sending P2P Messages'
gnunet-c-tutorial.texi:842: warning: node `End of P2P connections' is next for `Sending P2P Messages' in sectioning but not in menu
gnunet-c-tutorial.texi:842: warning: node `Receiving P2P Messages' is prev for `Sending P2P Messages' in sectioning but not in menu
gnunet-c-tutorial.texi:842: warning: node `Interacting directly with other Peers using the CORE Service' is up for `Sending P2P Messages' in sectioning but not in menu
gnunet-c-tutorial.texi:793: node `Interacting directly with other Peers using the CORE Service' lacks menu item for `Sending P2P Messages' despite being its Up target
gnunet-c-tutorial.texi:860: warning: unreferenced node `End of P2P connections'
gnunet-c-tutorial.texi:860: warning: node `Sending P2P Messages' is prev for `End of P2P connections' in sectioning but not in menu
gnunet-c-tutorial.texi:860: warning: node `Interacting directly with other Peers using the CORE Service' is up for `End of P2P connections' in sectioning but not in menu
gnunet-c-tutorial.texi:793: node `Interacting directly with other Peers using the CORE Service' lacks menu item for `End of P2P connections' despite being its Up target
gnunet-c-tutorial.texi:874: warning: unreferenced node `Storing peer-specific data using the PEERSTORE service'
gnunet-c-tutorial.texi:874: warning: node `Using the DHT' is next for `Storing peer-specific data using the PEERSTORE service' in sectioning but not in menu
gnunet-c-tutorial.texi:874: warning: node `Interacting directly with other Peers using the CORE Service' is prev for `Storing peer-specific data using the PEERSTORE service' in sectioning but not in menu
gnunet-c-tutorial.texi:874: warning: node `Developing Applications' is up for `Storing peer-specific data using the PEERSTORE service' in sectioning but not in menu
gnunet-c-tutorial.texi:534: node `Developing Applications' lacks menu item for `Storing peer-specific data using the PEERSTORE service' despite being its Up target
gnunet-c-tutorial.texi:897: warning: unreferenced node `Storing records'
gnunet-c-tutorial.texi:897: warning: node `Retrieving records' is next for `Storing records' in sectioning but not in menu
gnunet-c-tutorial.texi:897: warning: node `Storing peer-specific data using the PEERSTORE service' is up for `Storing records' in sectioning but not in menu
gnunet-c-tutorial.texi:874: node `Storing peer-specific data using the PEERSTORE service' lacks menu item for `Storing records' despite being its Up target
gnunet-c-tutorial.texi:921: warning: unreferenced node `Retrieving records'
gnunet-c-tutorial.texi:921: warning: node `Monitoring records' is next for `Retrieving records' in sectioning but not in menu
gnunet-c-tutorial.texi:921: warning: node `Storing records' is prev for `Retrieving records' in sectioning but not in menu
gnunet-c-tutorial.texi:921: warning: node `Storing peer-specific data using the PEERSTORE service' is up for `Retrieving records' in sectioning but not in menu
gnunet-c-tutorial.texi:874: node `Storing peer-specific data using the PEERSTORE service' lacks menu item for `Retrieving records' despite being its Up target
gnunet-c-tutorial.texi:945: warning: unreferenced node `Monitoring records'
gnunet-c-tutorial.texi:945: warning: node `Disconnecting from PEERSTORE' is next for `Monitoring records' in sectioning but not in menu
gnunet-c-tutorial.texi:945: warning: node `Retrieving records' is prev for `Monitoring records' in sectioning but not in menu
gnunet-c-tutorial.texi:945: warning: node `Storing peer-specific data using the PEERSTORE service' is up for `Monitoring records' in sectioning but not in menu
gnunet-c-tutorial.texi:874: node `Storing peer-specific data using the PEERSTORE service' lacks menu item for `Monitoring records' despite being its Up target
gnunet-c-tutorial.texi:961: warning: unreferenced node `Disconnecting from PEERSTORE'
gnunet-c-tutorial.texi:961: warning: node `Monitoring records' is prev for `Disconnecting from PEERSTORE' in sectioning but not in menu
gnunet-c-tutorial.texi:961: warning: node `Storing peer-specific data using the PEERSTORE service' is up for `Disconnecting from PEERSTORE' in sectioning but not in menu
gnunet-c-tutorial.texi:874: node `Storing peer-specific data using the PEERSTORE service' lacks menu item for `Disconnecting from PEERSTORE' despite being its Up target
gnunet-c-tutorial.texi:974: warning: unreferenced node `Using the DHT'
gnunet-c-tutorial.texi:974: warning: node `Debugging with gnunet-arm' is next for `Using the DHT' in sectioning but not in menu
gnunet-c-tutorial.texi:974: warning: node `Storing peer-specific data using the PEERSTORE service' is prev for `Using the DHT' in sectioning but not in menu
gnunet-c-tutorial.texi:974: warning: node `Developing Applications' is up for `Using the DHT' in sectioning but not in menu
gnunet-c-tutorial.texi:534: node `Developing Applications' lacks menu item for `Using the DHT' despite being its Up target
gnunet-c-tutorial.texi:989: warning: unreferenced node `Storing data in the DHT'
gnunet-c-tutorial.texi:989: warning: node `Obtaining data from the DHT' is next for `Storing data in the DHT' in sectioning but not in menu
gnunet-c-tutorial.texi:989: warning: node `Using the DHT' is up for `Storing data in the DHT' in sectioning but not in menu
gnunet-c-tutorial.texi:974: node `Using the DHT' lacks menu item for `Storing data in the DHT' despite being its Up target
gnunet-c-tutorial.texi:1012: warning: unreferenced node `Obtaining data from the DHT'
gnunet-c-tutorial.texi:1012: warning: node `Implementing a block plugin' is next for `Obtaining data from the DHT' in sectioning but not in menu
gnunet-c-tutorial.texi:1012: warning: node `Storing data in the DHT' is prev for `Obtaining data from the DHT' in sectioning but not in menu
gnunet-c-tutorial.texi:1012: warning: node `Using the DHT' is up for `Obtaining data from the DHT' in sectioning but not in menu
gnunet-c-tutorial.texi:974: node `Using the DHT' lacks menu item for `Obtaining data from the DHT' despite being its Up target
gnunet-c-tutorial.texi:1034: warning: unreferenced node `Implementing a block plugin'
gnunet-c-tutorial.texi:1034: warning: node `Monitoring the DHT' is next for `Implementing a block plugin' in sectioning but not in menu
gnunet-c-tutorial.texi:1034: warning: node `Obtaining data from the DHT' is prev for `Implementing a block plugin' in sectioning but not in menu
gnunet-c-tutorial.texi:1034: warning: node `Using the DHT' is up for `Implementing a block plugin' in sectioning but not in menu
gnunet-c-tutorial.texi:974: node `Using the DHT' lacks menu item for `Implementing a block plugin' despite being its Up target
gnunet-c-tutorial.texi:1046: warning: unreferenced node `Validating requests and replies'
gnunet-c-tutorial.texi:1046: warning: node `Deriving a key from a reply' is next for `Validating requests and replies' in sectioning but not in menu
gnunet-c-tutorial.texi:1046: warning: node `Implementing a block plugin' is up for `Validating requests and replies' in sectioning but not in menu
gnunet-c-tutorial.texi:1034: node `Implementing a block plugin' lacks menu item for `Validating requests and replies' despite being its Up target
gnunet-c-tutorial.texi:1069: warning: unreferenced node `Deriving a key from a reply'
gnunet-c-tutorial.texi:1069: warning: node `Initialization of the plugin' is next for `Deriving a key from a reply' in sectioning but not in menu
gnunet-c-tutorial.texi:1069: warning: node `Validating requests and replies' is prev for `Deriving a key from a reply' in sectioning but not in menu
gnunet-c-tutorial.texi:1069: warning: node `Implementing a block plugin' is up for `Deriving a key from a reply' in sectioning but not in menu
gnunet-c-tutorial.texi:1034: node `Implementing a block plugin' lacks menu item for `Deriving a key from a reply' despite being its Up target
gnunet-c-tutorial.texi:1082: warning: unreferenced node `Initialization of the plugin'
gnunet-c-tutorial.texi:1082: warning: node `Shutdown of the plugin' is next for `Initialization of the plugin' in sectioning but not in menu
gnunet-c-tutorial.texi:1082: warning: node `Deriving a key from a reply' is prev for `Initialization of the plugin' in sectioning but not in menu
gnunet-c-tutorial.texi:1082: warning: node `Implementing a block plugin' is up for `Initialization of the plugin' in sectioning but not in menu
gnunet-c-tutorial.texi:1034: node `Implementing a block plugin' lacks menu item for `Initialization of the plugin' despite being its Up target
gnunet-c-tutorial.texi:1094: warning: unreferenced node `Shutdown of the plugin'
gnunet-c-tutorial.texi:1094: warning: node `Integration of the plugin with the build system' is next for `Shutdown of the plugin' in sectioning but not in menu
gnunet-c-tutorial.texi:1094: warning: node `Initialization of the plugin' is prev for `Shutdown of the plugin' in sectioning but not in menu
gnunet-c-tutorial.texi:1094: warning: node `Implementing a block plugin' is up for `Shutdown of the plugin' in sectioning but not in menu
gnunet-c-tutorial.texi:1034: node `Implementing a block plugin' lacks menu item for `Shutdown of the plugin' despite being its Up target
gnunet-c-tutorial.texi:1104: warning: unreferenced node `Integration of the plugin with the build system'
gnunet-c-tutorial.texi:1104: warning: node `Shutdown of the plugin' is prev for `Integration of the plugin with the build system' in sectioning but not in menu
gnunet-c-tutorial.texi:1104: warning: node `Implementing a block plugin' is up for `Integration of the plugin with the build system' in sectioning but not in menu
gnunet-c-tutorial.texi:1034: node `Implementing a block plugin' lacks menu item for `Integration of the plugin with the build system' despite being its Up target
gnunet-c-tutorial.texi:1119: warning: unreferenced node `Monitoring the DHT'
gnunet-c-tutorial.texi:1119: warning: node `Implementing a block plugin' is prev for `Monitoring the DHT' in sectioning but not in menu
gnunet-c-tutorial.texi:1119: warning: node `Using the DHT' is up for `Monitoring the DHT' in sectioning but not in menu
gnunet-c-tutorial.texi:974: node `Using the DHT' lacks menu item for `Monitoring the DHT' despite being its Up target
gnunet-c-tutorial.texi:1135: warning: unreferenced node `Debugging with gnunet-arm'
gnunet-c-tutorial.texi:1135: warning: node `Using the DHT' is prev for `Debugging with gnunet-arm' in sectioning but not in menu
gnunet-c-tutorial.texi:1135: warning: node `Developing Applications' is up for `Debugging with gnunet-arm' in sectioning but not in menu
gnunet-c-tutorial.texi:534: node `Developing Applications' lacks menu item for `Debugging with gnunet-arm' despite being its Up target
Makefile:580: recipe for target 'gnunet-c-tutorial.info' failed
make[3]: *** [gnunet-c-tutorial.info] Error 1
make[3]: Leaving directory '/home/dkg-test/gnunet/doc'
TagsNo tags attached.

Activities

ng0

2017-09-07 21:02

developer   ~0012407

The integration of gnunet-c-tutorial.texi has been tested with "contrib/packages/guix/guix-env.scm" (and gnunet-doc in the package module further below).

Please describe how you produced this.
Which version of which software and what exact command did you use to produce this output?

user@abyayala ~$ cd src/gnunet/gnunet
user@abyayala ~/src/gnunet/gnunet$ guix build -f contrib/packages/guix/guix-env.scm

Works out alright for me, builds the two texinfo documents as they are supposed to be build in the end, in an isolated environment within the build-process of GNUnet.

ng0

2017-09-07 22:49

developer   ~0012408

Sidenote:
I will add a README to the "doc" folder to describe how to use it and how to work with it as it has been brought to my attention that it's difficult to navigate and grasp it all.

Heiko Stamer

2017-09-08 07:58

reporter   ~0012409

To anwser ng0's questions on the build environment (Debian 8) for that issue:

$ makeinfo --version
makeinfo (GNU texinfo) 5.2

$ uname -a
Linux dkg-test 3.16.0-4-amd64 #1 SMP Debian 3.16.43-2+deb8u3 (2017-08-15) x86_64 GNU/Linux

Steps to reproduce:

$ git clone git://gnunet.org/gnunet.git
$ cd gnunet && ./bootstrap
$ ./configure
$ make

ng0

2017-09-08 09:35

developer   ~0012410

Okay, thanks.

I don't have the time to setup a system to reproduce this.
I presume you also have Debian package "texlive-full" (hopefully texlive 2017) in the path (we are still looking into which parts of texlive are required).

Maybe you or someone else with Debian 8 could come up with a patch for the above issues so that people with newer software can test and apply them if upwards compatible (should be no problem).

ng0

2017-09-24 12:54

developer   ~0012432

Last edited: 2017-09-24 12:58

View 2 revisions

I think our Gentoo packager reported something similar.

It's strange how I can produce a reliable output with Guix with no fatal errors on this (see also https://lists.gnu.org/archive/html/gnunet-developers/2017-09/msg00029.html).

I don't understand the fatality of the errors, that's up to you to solve.


 gnunet-c-tutorial.texi:48: node `Top' lacks menu item for `Installing GNUnet' despite being its Up target

This can be solved by adding @menu to the top node.

I'll fix as much as I can do as soon as I can work on it. In HEAD of gnunet.git this file was removed from building as per request of people using Debian and Gentoo.

ng0

2017-09-25 22:57

developer   ~0012437

Can you try to build it again (take a look at the 'doc/README' file or the 'contrib/packages/guix/gnunet-doc.scm' to see how I build it).
commits b5d7a1a11c713fbfb33643757a92928867cdad4b and 1d178e1c8b1f37f8e7c93eaabc5b86559bcb0709 build alright for me with Texinfo-5.2 and Texlive-2017 (I've had no time to add back Texlive-2012 to my system yet, I'll fix this soon).

Heiko Stamer

2017-09-26 19:31

reporter   ~0012438

The issue is fixed in HEAD for me. Thanks.

Issue History

Date Modified Username Field Change
2017-09-07 20:58 ng0 New Issue
2017-09-07 21:02 ng0 Note Added: 0012407
2017-09-07 22:49 ng0 Note Added: 0012408
2017-09-08 07:58 Heiko Stamer Note Added: 0012409
2017-09-08 09:35 ng0 Note Added: 0012410
2017-09-24 12:54 ng0 Note Added: 0012432
2017-09-24 12:55 ng0 Assigned To => ng0
2017-09-24 12:55 ng0 Status new => acknowledged
2017-09-24 12:58 ng0 Note Edited: 0012432 View Revisions
2017-09-25 22:57 ng0 Note Added: 0012437
2017-09-26 19:31 Heiko Stamer Note Added: 0012438
2017-09-26 20:05 ng0 Status acknowledged => resolved
2017-09-26 20:05 ng0 Resolution open => fixed
2017-09-26 20:05 ng0 Fixed in Version => SVN HEAD
2018-06-05 22:26 Christian Grothoff Product Version => SVN HEAD
2018-06-05 22:26 Christian Grothoff Fixed in Version SVN HEAD => 0.11.0pre66
2018-06-05 22:26 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed